Package org.eclipse.cdt.core.parser

## Class IParserSettings2.Default

- java.lang.Object
- - org.eclipse.cdt.core.parser.ParserSettings
  - - org.eclipse.cdt.core.parser.IParserSettings2.Default

All Implemented Interfaces:
  `IParserSettings`, `IParserSettings2`

Enclosing interface:
  IParserSettings2

    public static class IParserSettings2.Default
    extends ParserSettings
    implements IParserSettings2

An default implementation to be used as a base class by clients that want to contribute parser settings. This base provides default values for all methods so that clients will still compile when methods are added to the interface.

Restriction:
  This class is not intended to be instantiated by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.parser.IParserSettings2

`IParserSettings2.Default`

### Constructor Summary

Constructors
`Default()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaximumTokensPerTranslationUnit()` Returns the maximum number of tokens that should be created while parsing any one translation unit.
`boolean` `shouldLimitTokensPerTranslationUnit()` Returns true if the parser should be aborted when a single translation unit has produced more than `IParserSettings2.getMaximumTokensPerTranslationUnit()` tokens.

### Methods inherited from class org.eclipse.cdt.core.parser.ParserSettings

`getMaximumTrivialExpressionsInAggregateInitializers, setMaximumTrivialExpressionsInAggregateInitializers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.parser.IParserSettings

`getMaximumTrivialExpressionsInAggregateInitializers`

### Constructor Detail

#### Default

    public Default()

### Method Detail

#### shouldLimitTokensPerTranslationUnit

    public boolean shouldLimitTokensPerTranslationUnit()

Description copied from interface: `IParserSettings2`
Returns true if the parser should be aborted when a single translation unit has produced more than `IParserSettings2.getMaximumTokensPerTranslationUnit()` tokens.

Specified by:
  `shouldLimitTokensPerTranslationUnit` in interface `IParserSettings2`

#### getMaximumTokensPerTranslationUnit

    public int getMaximumTokensPerTranslationUnit()

Description copied from interface: `IParserSettings2`
Returns the maximum number of tokens that should be created while parsing any one translation unit. This value is used only when `IParserSettings2.shouldLimitTokensPerTranslationUnit()` returns true.

Specified by:
  `getMaximumTokensPerTranslationUnit` in interface `IParserSettings2`